: "${MOBIUS_API_BASE_URL:?Set the API URL from your app}"
: "${MOBIUS_API_KEY:?Set your API key locally}"
: "${TASK_ID:?Set the task UUID}"
curl -i "$MOBIUS_API_BASE_URL/v1/delta-neutral/tasks/$TASK_ID" \
-H "Authorization: Bearer $MOBIUS_API_KEY"
{
"task": {
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"longVenue": "hl",
"shortVenue": "hl",
"longMarket": "ETH",
"shortMarket": "ETH",
"sizeUsd": "<string>",
"status": "<string>",
"longSize": "<string>",
"shortSize": "<string>",
"longEntry": "<string>",
"shortEntry": "<string>",
"longPrice": "<string>",
"shortPrice": "<string>",
"longLeverage": "<string>",
"shortLeverage": "<string>",
"liqProtectionPct": "<string>",
"sizeMismatchPct": "<string>",
"fundingUsd": "<string>",
"longMarginMode": "<string>",
"shortMarginMode": "<string>",
"closeReason": "<string>",
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"closeRequestedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Endpoints
Get a task
GET
/
v1
/
delta-neutral
/
tasks
/
{taskId}
: "${MOBIUS_API_BASE_URL:?Set the API URL from your app}"
: "${MOBIUS_API_KEY:?Set your API key locally}"
: "${TASK_ID:?Set the task UUID}"
curl -i "$MOBIUS_API_BASE_URL/v1/delta-neutral/tasks/$TASK_ID" \
-H "Authorization: Bearer $MOBIUS_API_KEY"
{
"task": {
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"longVenue": "hl",
"shortVenue": "hl",
"longMarket": "ETH",
"shortMarket": "ETH",
"sizeUsd": "<string>",
"status": "<string>",
"longSize": "<string>",
"shortSize": "<string>",
"longEntry": "<string>",
"shortEntry": "<string>",
"longPrice": "<string>",
"shortPrice": "<string>",
"longLeverage": "<string>",
"shortLeverage": "<string>",
"liqProtectionPct": "<string>",
"sizeMismatchPct": "<string>",
"fundingUsd": "<string>",
"longMarginMode": "<string>",
"shortMarginMode": "<string>",
"closeReason": "<string>",
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"closeRequestedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Use the UUID returned by task creation. Tasks belonging to another owner or outside the key’s venue grants return
404. Numeric amounts and sizes are decimal strings; unavailable values may be null. Trading fees are not included as a reliable task total. See task lifecycle for execution states.
: "${MOBIUS_API_BASE_URL:?Set the API URL from your app}"
: "${MOBIUS_API_KEY:?Set your API key locally}"
: "${TASK_ID:?Set the task UUID}"
curl -i "$MOBIUS_API_BASE_URL/v1/delta-neutral/tasks/$TASK_ID" \
-H "Authorization: Bearer $MOBIUS_API_KEY"
Authorizations
API key created in this environment: mobius_.. Keep it in a local environment variable; never commit it.
Path Parameters
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Response
Success.
Show child attributes
Show child attributes

